<?php

namespace Modules\ExampleEvents\Services;

use CController as Action;

class DashboardPermissionService {

    protected $allowed_actions = [
        'dashboard.delete', 'dashboard.list', 'dashboard.properties.check', 'dashboard.properties.edit', 'dashboard.share.edit',
		'dashboard.share.update', 'dashboard.update', 'dashboard.view', 'dashboard.widget.check', 'dashboard.widget.configure',
		'dashboard.widget.edit', 'dashboard.widget.rfrate', 'widget.actionlog.view', 'widget.clock.view', 'widget.dataover.view',
		'widget.discovery.view', 'widget.favgraphs.view', 'widget.favmaps.view', 'widget.favscreens.view', 'widget.graph.view',
		'widget.graphprototype.view', 'widget.hostavail.view', 'widget.map.view', 'widget.navtree.item.edit', 'widget.navtree.item.update',
		'widget.navtree.view', 'widget.plaintext.view', 'widget.problemhosts.view', 'widget.problems.view', 'widget.problemsbysv.view',
        'widget.svggraph.view', 'widget.systeminfo.view', 'widget.trigover.view', 'widget.url.view', 'widget.web.view', 'menu.popup',
        'chart.php', 'chart2.php', 'chart3.php', 'chart4.php', 'chart5.php', 'chart6.php', 'chart7.php', 'map.php',
        'notifications.get', 'jsrpc.php', 'index.php'
    ];

    public function isAllowed(Action $action) {
        return in_array($action->getAction(), $this->allowed_actions);
    }
}