<?php

/** @var $this CView */
$table = (new CTableInfo())->setHeader([
	'Link',
	'Description'
]);

foreach ($data['links'] as $link) {
	$table->addRow([
		(new CCol(new CLink($link['name'], $link['url'])))->addClass(ZBX_STYLE_NOWRAP),
		$link['description']
	]);
}

// append form to widget
((new CWidget)->setTitle('Examples page'))->addItem($table)->show();
